CVE-2009-4004

Metadata

CVE-2009-4004
7.2
git.kernel.org, kernel.org, securityfocus.com, vupen.com, exchange.xforce.ibmcloud.com
2009-11-20
2017-08-17 06:10

Description

Buffer overflow in the kvm_vcpu_ioctl_x86_setup_mce function in arch/x86/kvm/x86.c in the KVM subsystem in the Linux kernel before 2.6.32-rc7 allows local users to cause a denial of service (memory corruption) or possibly gain privileges via a KVM_X86_SETUP_MCE IOCTL request that specifies a large number of Machine Check Exception (MCE) banks.

Related Vulnerabilities

platform vulnerability
CVE-2009-4004